#!/usr/bin/make -f
export DH_VERBOSE=1

%:
	dh $@ --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs -A debian/README.Debian

execute_after_dh_link:
	# Replace each python3.X-dbg header directory with a symlink to python3.X
	set -e; \
	for py in $$(py3versions -s); do \
		abitag=$$($${py}-dbg -c "import sys; print(sys.abiflags)"); \
		python_inc_dir=/usr/include/$${py}; \
		pythond_inc_dir=$$(readlink -f "$${python_inc_dir}$${abitag}"); \
		rm -r debian/python3-cxx-dev/$${pythond_inc_dir}; \
		dh_link -p python3-cxx-dev "$${python_inc_dir}/CXX" "$${pythond_inc_dir}/CXX"; \
	done

execute_before_dh_fixperms:
	chmod 644 $(CURDIR)/debian/python*-cxx-dev/usr/share/doc/python*-cxx-dev/examples/*

override_dh_compress:
	dh_compress -X.py -X.cxx -X.hxx
